# ModifierType | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ModifierType

#### Hierarchy (view full)

- ModifierType
  - ModifierTypeGenerator
  - PokemonModifierType
  - DoubleBattleChanceBoosterModifierType
  - TempBattleStatBoosterModifierType
  - AllPokemonLevelIncrementModifierType
  - MoneyRewardModifierType
  - ExpBoosterModifierType
  - EnemyAttackStatusEffectChanceModifierType
  - EnemyEndureChanceModifierType

- Defined in src/modifier/modifier-type.ts:46

#####
Index

### Constructors

constructor

### Properties

generatorId
group
iconImage
id
localeKey
newModifierFunc
soundName
tier

### Accessors

name

### Methods

getDescription
getOrInferTier
newModifier
setTier
withIdFromFunc

## Constructors

### constructor

- new ModifierType(localeKey, iconImage, newModifierFunc, group?, soundName?): ModifierType

- #### Parameters

  - localeKey: string
  - iconImage: string
  - newModifierFunc: NewModifierFunc
  - `Optional` group: string
  - `Optional` soundName: string

  #### Returns ModifierType

  - Defined in src/modifier/modifier-type.ts:56

## Properties

### generatorId

generatorId: string

- Defined in src/modifier/modifier-type.ts:48

### group

group: string

- Defined in src/modifier/modifier-type.ts:51

### iconImage

iconImage: string

- Defined in src/modifier/modifier-type.ts:50

### id

id: string

- Defined in src/modifier/modifier-type.ts:47

### localeKey

localeKey: string

- Defined in src/modifier/modifier-type.ts:49

### `Protected` newModifierFunc

newModifierFunc: NewModifierFunc

- Defined in src/modifier/modifier-type.ts:54

### soundName

soundName: string

- Defined in src/modifier/modifier-type.ts:52

### tier

tier: ModifierTier

- Defined in src/modifier/modifier-type.ts:53

## Accessors

### name

- get name(): string

- #### Returns string

  - Defined in src/modifier/modifier-type.ts:64

## Methods

### getDescription

- getDescription(scene): string

- #### Parameters

  - scene: default

  #### Returns string

  - Defined in src/modifier/modifier-type.ts:68

### getOrInferTier

- getOrInferTier(poolType?): ModifierTier

- #### Parameters

  - poolType: ModifierPoolType = ModifierPoolType.PLAYER

  #### Returns ModifierTier

  - Defined in src/modifier/modifier-type.ts:76

### newModifier

- newModifier(...args): Modifier

- #### Parameters

  - `Rest` ...args: any[]

  #### Returns Modifier

  - Defined in src/modifier/modifier-type.ts:118

### setTier

- setTier(tier): void

- #### Parameters

  - tier: ModifierTier

  #### Returns void

  - Defined in src/modifier/modifier-type.ts:72

### withIdFromFunc

- withIdFromFunc(func): ModifierType

- #### Parameters

  - func: ModifierTypeFunc

  #### Returns ModifierType

  - Defined in src/modifier/modifier-type.ts:113